/* This is an autogenerated file from sap_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __BT_SAP_H__
#define __BT_SAP_H__

/* ------------------------------------------ */
extern void unifi_bt_unicore_init_ind(FsmContext* context, uint16 minVersion, uint16 maxVersion, 
                     Boolean reply);

extern void unifi_bt_unicore_final_ind(FsmContext* context);

extern void unifi_bt_unicore_ping_ind(FsmContext* context, uint16 tag);

extern void unifi_bt_unicore_pong_ind(FsmContext* context, uint16 tag);

extern void unifi_bt_unicore_pass_sync_start_ind(FsmContext* context, uint16 connectionHandle, uint16 period, 
                     uint16 durationMin, 
                     uint16 durationMax);

extern void unifi_bt_unicore_pass_sync_change_ind(FsmContext* context, uint16 connectionHandle, uint16 period, 
                     uint16 durationMin, 
                     uint16 durationMax);

extern void unifi_bt_unicore_pass_sync_stop_ind(FsmContext* context, uint16 connectionHandle);

/* ------------------------------------------ */
extern void unifi_bt_unicore_init_req(void* context, uint16 minVersion, uint16 maxVersion, 
                     Boolean reply);

extern void unifi_bt_unicore_final_req(void* context);

extern void unifi_bt_unicore_ping_req(void* context, uint16 tag);

extern void unifi_bt_unicore_pong_req(void* context, uint16 tag);

extern void unifi_bt_unicore_active_dot11_channel_req(void* context, uint16 channelMhz, uint16 bandwidthMhz);


#endif /* __BT_SAP_H__ */

#ifdef __cplusplus
}
#endif
